##parameters=context_url,datestring,location,event_types
# $Id: getCalCPSDayViewParams.py,v 1.3 2003/10/29 10:35:31 guillaum Exp $
"""Compute the correct list of URL parameters for calendar_cpsday_view"""

from urllib import urlencode

args = {'date': datestring}

if location and not location.isspace():
    args['location'] = location

if event_types:
    args['event_types'] = ','.join(event_types)

return context_url + '/calendar_cpsday_view?' + urlencode(args)
