##parameters=allowed=1
# $Id: getSortedContentTypes.py,v 1.10 2004/01/06 15:15:24 hcauwelier Exp $
""" Sorting for display allowedContentTypes
    if allowed=0 return Searchable portaltype"""

if allowed:
    items = context.portal_workflow.getAllowedContentTypes(context)
else:
    items = context.getSearchablePortalTypes()

def l10n(s):
    cpsmcat = context.Localizer.default
    ret = cpsmcat(s)
    if same_type(ret, u''):
        return ret.encode('iso-8859-15', 'ignore')
    else:
        return ret

def cmp_type(a, b):
    # we like workspaces and section
    if a.getId() in ('Workspace', 'Section'):
        return -1
    if b.getId() in ('Workspace', 'Section'):
        return 1
    aa = l10n(a.Title()).lower()
    bb = l10n(b.Title()).lower()
    return cmp(aa, bb)

items.sort(cmp_type)

return items
